Subject: Re: bug#7296: display-pixel-height not enough

From: Lennart Borgman <[email-masked]>
Date: Fri, 29 Oct 2010 22:05:10 +0200

On Fri, Oct 29, 2010 at 9:57 PM, Jan D. <[email-masked]> wrote:
> Stefan Monnier skrev 2010-10-29 18:24:
>>>
>>> On Gnome, the window manager won't let you do this, so when you set frame
>>
>> You mean: Gnome's default window-manager doesn't let you do it.
>> Many other window-managers that you can use with Gnome let you do it.
>
> Right, I only tested with Compiz and metacity.  Then again, it shows that
> the issue is more complicated than just replacing display-width/height with
> "available" width/height.

In what way do you mean this shows that using the available
width/height will fail?

At least on w32 there are system API:s that directly gives you the
available width/height, taking the taskbar etc status into account.
Nothing more than that is needed.

Maybe you mean that sometimes you want the total display width/height?